Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7122 - FEATURE: "combo packages"
Summary: FEATURE: "combo packages"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-18 23:17 UTC by Pierre Phaneuf
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-02-11 12:53:01 UTC


Attachments (Terms of Use)

Description Pierre Phaneuf 1999-11-18 23:17:49 UTC
It would be nice to have a way of making a single package file that would
actually contain multiple full-blown packages.

The main idea with this is that by making the sub-packages have their own
entries in the RPM database, they could be upgraded separately or could
upgrade an already present package if the existing package is older.

Example: you have a combo package named foo-1.2-1.i386.rpm that contains
foo1-1.2-1.i386.rpm and foo2-1.1-6.i386.rpm. Doing this command:

rpm -Uvh foo-1.2-1.i386.rpm

would be exactly the same as doing this one:

rpm -Uvh foo1-1.2-1.i386.rpm foo2-1.1-6.i386.rpm

Together with "patch packages" (#7121), this would be nice (would enable
things like Sun's "combo patch").

Comment 1 Mike A. Harris 2002-02-11 12:52:56 UTC
I believe this is called transaction sets, and it might be implemented already.
jbj would have to comment on it though.

Comment 2 Jeff Johnson 2002-08-07 23:06:46 UTC
Actually, these are what I call "package bundles",
which are now possible because the rpm database permits
concurrent access. That means you can make a meta
rpm that runs "rpm -Uvh ..." in %post, and "rpm -e ..."
in %preun.

Dunno if it works, but all the above is now implemented,
so I'm gonna close this bug.

Comment 3 Pierre Phaneuf 2002-08-08 02:39:49 UTC
Where would the sub-packages RPM files be stored? I wouldn't want a "foo"
meta-package that contains a "foo1" and a "foo2" RPMs to leave these RPMs around
in some directory all the time that it exists. Can you have files part of a
package that are not "installed" on the system (they would be deleted after
%post, maybe?).


Note You need to log in before you can comment on or make changes to this bug.